/*
 Copyright (c) 2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 */

#include <KDebug>

#include "facetsettings.h"
#include "facetsettingsmodel.h"
#include "settings.h"
#include "facetspanel.h"

FacetSettings::FacetSettings(QWidget* parent): QWidget(parent)
{
    setupUi(this);
    kcfg_Facet->hide();

    QStringList total = FacetsPanel::getFacetNames();
    QStringList selected = Settings::facet().split(";");
    FacetSettingsModel* model = new FacetSettingsModel(total, selected, facetList);
    facetList->setModel(model);

    connect(model, SIGNAL(facetSelectionChanged(QStringList)), this, SLOT(facetSelectionChanged(QStringList)));

    kDebug() << "Reading settings: " << selected;
}

FacetSettings::~FacetSettings()
{
}

void FacetSettings::facetSelectionChanged(QStringList facets)
{
    QString result;
    for (int i = 0; i < facets.size(); ++i) {
        if (i > 0) {
            result.append(";");
        }
        result.append(facets[i]);
    }
    kcfg_Facet->setText(result);

    kDebug() << "New settings: " << facets;
}

#include "facetsettings.moc"
