/*
 Copyright (c) 2009-2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
*/

#ifndef FACETSETTINGSMODEL_H_
#define FACETSETTINGSMODEL_H_

#include <QAbstractListModel>
#include <QModelIndex>
#include <QVariant>
#include <QStringList>

class FacetSettingsModel : public QAbstractListModel
{
        Q_OBJECT

    public:
        FacetSettingsModel(QStringList total, QStringList selected, QObject* parent = 0);
        virtual ~FacetSettingsModel();

        int rowCount(const QModelIndex& parent = QModelIndex()) const;
        QVariant data(const QModelIndex& index, int role) const;
        Qt::ItemFlags flags(const QModelIndex& index) const;
        bool setData(const QModelIndex& index, const QVariant& value, int role = Qt::EditRole);

    Q_SIGNALS:
        void facetSelectionChanged(QStringList facets);

    private:
        QHash<QString, bool> facets;
};

#endif /* FACETSETTINGSMODEL_H_ */
