/*
 Copyright (c) 2009-2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
*/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <KXmlGuiWindow>
#include <KTabWidget>
#include <KUrl>

class MainWindow : public KXmlGuiWindow
{
    Q_OBJECT

    public:
        MainWindow(QWidget* parent = 0);
        virtual ~MainWindow();

    public Q_SLOTS:
        void forward();
        void back();
        void home();
        void refresh();
        void setIconsView();
        void setDetailedView();
        void showPlacesPanel();
        void showFacetsPanel();
        void openNewTab();
        void placesUrlChanged(const KUrl& url);
        void urlChanged(const KUrl& url);
        void urlChanged(const QString& path);
        void facetsUrlChanged(const KUrl& url);
        void closeRequested(QWidget* sender);
        void selectAll();
        void deselect();
        void quitting();
        void cut();
        void copy();
        void paste();
        void showPreferences();
        void applySettings();

    private:
        QString trailingDir(const KUrl& url) const;

    class Private;
    Private* d;
};

#endif // MAINWINDOW_H
