/*
 Copyright (c) 2009-2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
*/

#ifndef FACET_H
#define FACET_H

#include <QWidget>

#include <Nepomuk/Query/Term>

class Facet : public QWidget
{
    Q_OBJECT
    
    public:
        Facet(QWidget* parent = 0);
        virtual ~Facet();
        
        virtual Nepomuk::Query::Term currentQueryTerm() const;
        virtual bool currentQueryTermValidation() const;

    public Q_SLOTS:
        void folderChanged(const QString& folder);
        void reload();
        
    protected:
        virtual void doFolderChanged(const QString& folder);
        virtual void doReload();
        
    Q_SIGNALS:
        void queryTermChanged(const Nepomuk::Query::Term& term);
        
};

#endif // FACET_H
