/*
 Copyright (c) 2009-2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
*/

#ifndef FACETSPANEL_H
#define FACETSPANEL_H

#include <QList>
#include <QStringList>

#include <Nepomuk/Query/Term>
#include <Nepomuk/Query/Query>

#include "facet.h"
#include "panel.h"

class FacetsPanel : public Panel
{
    Q_OBJECT

    public:
        static QStringList getFacetNames();

        FacetsPanel(QStringList facets, QWidget* parent = 0);
        virtual ~FacetsPanel();
        
        QList<Facet*> getFacets() const;
        Nepomuk::Query::Query getQuery(const Nepomuk::Query::Term& term = Nepomuk::Query::Term()) const;
        Nepomuk::Query::Term getTerm() const;

    public Q_SLOTS:
        void dirChanged(const QString& url);
        void dirChanged(const KUrl& url);
        void dockVisible(bool visible);
        void updateQuery();

    Q_SIGNALS:
        void folderChanged(const QString& folder);
        void facetsDirChanged(const KUrl& url);
        void queryChanged();

    private:
        class Private;
        Private* d;
};

#endif // FACETSPANEL_H
