/*
 Copyright (c) 2009-2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 */

#ifndef TERM_H_
#define TERM_H_

#include <QObject>

class Term : public QObject
{
    Q_OBJECT

    public:
        Term(const QString& name, const int count, const int frequency, QObject* parent = 0);
        Term(const Term& other);
        virtual ~Term();

        void setName(const QString& n);
        QString getName() const;
        void setCount(const int count);
        int getCount() const;
        void setChecked(bool checked);
        bool isChecked() const;
        void setFrequency(const int frequency);
        int getFrequency() const;

        bool operator==(const Term& other);
        Term &operator=(const Term& other);

    private:
        class Private;
        Private* d;
};

#endif /* TERM_H_ */
