/*
 Copyright (c) 2009-2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
*/

#ifndef TYPEFACET_H
#define TYPEFACET_H

#include <QWidget>
#include <QStringListModel>
#include <QStringList>
#include <QAbstractButton>

#include "ui_facetbuttons.h"
#include "facet.h"

class TypeFacet : public Facet, public Ui_FacetButtons
{
    Q_OBJECT

    public:
        TypeFacet(QWidget* parent);
        virtual ~TypeFacet();
        
        Nepomuk::Query::Term currentQueryTerm() const;
        bool currentQueryTermValidation() const;

    public Q_SLOTS:
        void typeChanged(QAbstractButton* button);

    protected:
        void doFolderChanged(const QString& folder);

    private:
        class Private;
        Private* d;
};

#endif // TYPEFACET_H
