/*
 Copyright (c) 2009-2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
*/

#ifndef TYPETOOLBUTTON_H_
#define TYPETOOLBUTTON_H_

#include <QToolButton>

class TypeToolButton : public QToolButton
{
    Q_OBJECT
        
    public:
        enum DocumentType {
            All = 475564656,
            Documents = 3444654,
            Media = 54745674,
            Images = 21421324
        };
        
        TypeToolButton(QWidget* parent = 0);
        virtual ~TypeToolButton();
        
        void setType(TypeToolButton::DocumentType p);
        TypeToolButton::DocumentType getType();
        
    private:
        TypeToolButton::DocumentType type;
};

#endif /* TYPETOOLBUTTON_H_ */
