/*
 Copyright (c) 2009-2010 Alessandro Sivieri <alessandro.sivieri@gmail.com>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
*/

#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>

#include "mainwindow.h"

int main(int argc, char **argv)
{
    KAboutData aboutData("sembrowser", 0,
                         ki18n("Semantic browser"),
                         "0.1",
                         ki18n("Semantic browser"),
                         KAboutData::License_GPL_V2,
                         ki18n("(c) 2009 Alessandro Sivieri"),
                         KLocalizedString(),
                         "http://www.chimera-bellerofonte.eu");
    aboutData.addAuthor(ki18n("Alessandro Sivieri"), ki18n("Maintainer"), "alessandro.sivieri@gmail.com");
    aboutData.setProgramIconName("sembrowser");
    
    KCmdLineArgs::init(argc, argv, &aboutData);
    KCmdLineOptions options;
    KCmdLineArgs::addCmdLineOptions(options);
    
    KApplication app;
    MainWindow* mainWindow = new MainWindow();
    mainWindow->show();
    
    return app.exec();
}
